# configureConnectionRecurrence

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| PUT | https://api.thomas.co/v1/organisation/teams/{teamId}/recurrence |

| Field | Value |
|---|---|
| operationId | configureConnectionRecurrence |
| method | PUT |
| server | https://api.thomas.co/v1 |
| path | /organisation/teams/{teamId}/recurrence |
| tags | `Organization Connection` |
| summary | Configure recurring connection check-ins |
| badges | `{"name":"Owner"}`, `{"name":"Admin"}` |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| teamId | path | true | string |  |

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/RecurrenceConfigDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Recurring connection check-in configuration | #/components/schemas/RecurrenceConfigResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
